html, body {
  max-width: 100%;
  overflow-x: hidden;
}
.bottombar {
  overflow: hidden;
  position: fixed;
  bottom: 0;
  width: 100%;
  left: 0;
  text-align: center;
  vertical-align: middle;
  border-style: solid;
  border-width: thin;
}
#mainCanvas {
  background: #ffffff;
  float: left;
}
#functioncontainer {
  width: 95vw;
  padding-left: 2.5vw;
}
p {
  margin-top: 0;
  margin-bottom: 0;
}
.slidercolumn1 {
  float: left;
  width: 40vw;
  padding-left: 7.5vw;
}
.slidercolumn2 {
  float: left;
  width: 40vw;
  padding-left: 7.5vw;
}
.sliders {
  font-size: 20px;
  text-align: center;
  float: none;
  width: 95vw;
}

.functionBox{
  left:0;
  display: block;
  font-size: 20px;
  width: 100vw;
  float:left;
  text-align: center;
}
#buttonContainer {
  text-align: center;
}

#levelButtons {
  display: inline-block;
  left: 0px;
  right: 0px;
  bottom: 5px;
}

#solutionFunction {
  padding-top: 5px;
}
#solutionButton {
  background: #51A3B8;
  font-size: 20px;
  color: white;
  border: none;
  border-radius: 7px;
  box-shadow: 0 7px 0px #387796;
  display: inline-block;
  transition: all .2s;
  position: relative;
  padding: 10px 25px;
  position: relative;
  top: 0;
  cursor: pointer;
  margin:0 20px;
}
#solutionButton:active {
  top: 3px;
  box-shadow: 0 2px 0px #387796;
  transition: all .2s;
}
#level1Button {
  background: #51A3B8;
  font-size: 20px;
  color: white;
  border: none;
  border-radius: 7px;
  box-shadow: 0 7px 0px #387796;
  display: inline-block;
  transition: all .2s;
  position: relative;
  padding: 10px 15px;
  position: relative;
  top: 0;
  cursor: pointer;
  margin:0 10px;
}
#level1Button:active {
  top: 3px;
  box-shadow: 0 2px 0px #387796;
  transition: all .2s;
}
#level2Button {
  background: #51A3B8;
  font-size: 20px;
  color: white;
  border: none;
  border-radius: 7px;
  box-shadow: 0 7px 0px #387796;
  display: inline-block;
  transition: all .2s;
  position: relative;
  padding: 10px 15px;
  position: relative;
  top: 0;
  cursor: pointer;
  margin:0 10px;
}
#level2Button:active {
  top: 3px;
  box-shadow: 0 2px 0px #387796;
  transition: all .2s;
}
#level3Button {
  background: #51A3B8;
  font-size: 20px;
  color: white;
  border: none;
  border-radius: 7px;
  box-shadow: 0 7px 0px #387796;
  display: inline-block;
  transition: all .2s;
  position: relative;
  padding: 10px 15px;
  position: relative;
  top: 0;
  cursor: pointer;
  margin:0 10px;
}
#level3Button:active {
  top: 3px;
  box-shadow: 0 2px 0px #387796;
  transition: all .2s;
}
/* Popup container - can be anything you want */
.popup {
  position: relative;
  display: inline-block;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* The actual popup */
.popup .popuptext {
  visibility: hidden;
  width: 320px;
  background-color: #555;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 8px 0;
  position: absolute;
  z-index: 1;
  top: 125%;
  left: 50%;
  margin-left: -20px;
}



/* Toggle this class - hide and show the popup */
.popup .show {
  visibility: visible;
  -webkit-animation: fadeIn 1s;
  animation: fadeIn 1s;
}

/* Add animation (fade in the popup) */
@-webkit-keyframes fadeIn {
  from {opacity: 0;}
  to {opacity: 1;}
}

@keyframes fadeIn {
  from {opacity: 0;}
  to {opacity:1 ;}
}

label {
  display: block;
  margin-top: 15px;
  text-align: center;
}
input {
  padding: 5px;
  width: 100px;
  margin-right: 10px;
}
button {
  margin-top: 20px;
  padding: 10px 20px;
}
.output {
  margin: 20px auto;
  padding: 10px;
  border: 1px solid #999;
  background-color: #f9f9f9;
  width: 200px;
}
.wrapper {
  text-align: center;
}